#if __isDOUBLE__
#define GEMV_N     DGEMV_N
#define GEMV_T     DGEMV_T
#define SYMV_U     DSYMV_U
#define SYMV_L     DSYMV_L
#define TEST_GEMV_N     "kblas-dgemv-n"
#define TEST_GEMV_T     "kblas-dgemv-t"
#define TEST_SYMV_U     "kblas-dsymv-u"
#define TEST_SYMV_L     "kblas-dsymv-l"
#define NAME_GEMV_N     "DGEMV -N"
#define NAME_GEMV_T     "DGEMV -T"
#define NAME_SYMV_U     "DSYMV -U"
#define NAME_SYMV_L     "DSYMV -L"
#define kblasgemv      kblas_dgemv
#define kblassymv      kblas_dsymv
#else
#define GEMV_N     SGEMV_N
#define GEMV_T     SGEMV_T
#define SYMV_U     SSYMV_U
#define SYMV_L     SSYMV_L
#define TEST_GEMV_N     "kblas-sgemv-n"
#define TEST_GEMV_T     "kblas-sgemv-t"
#define TEST_SYMV_U     "kblas-ssymv-u"
#define TEST_SYMV_L     "kblas-ssymv-l"
#define NAME_GEMV_N     "SGEMV -N"
#define NAME_GEMV_T     "SGEMV -T"
#define NAME_SYMV_U     "SSYMV -U"
#define NAME_SYMV_L     "SSYMV -L"
#define kblasgemv      kblas_sgemv
#define kblassymv      kblas_ssymv
#endif

