#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Tue Jul 19 09:11:48 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuFloatComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 520
-->
#endif
{
//==========
if(blk==-1){
	#include "dsymv-lower-auto2.h"
}
//==========
#if 0
struct dsymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 4, 44, 6, 9 },
	{ 32, 4, 44, 6, 8 },
	{ 64, 6, 66, 2, 7 },
	{ 32, 4, 44, 6, 1 },
	{ 32, 8, 88, 3, 1 },
	{ 32, 8, 88, 3, 5 },
	{ 32, 8, 88, 3, 9 },
	{ 32, 5, 75, 4, 8 },
	{ 32, 4, 52, 5, 1 },
	{ 32, 8, 88, 3, 0 },
	{ 32, 4, 44, 6, 0 },
	{ 32, 8, 88, 3, 8 },
	{ 32, 8, 88, 3, 7 },
	{ 32, 4, 60, 5, 3 },
	{ 32, 4, 44, 6, 6 },
	{ 32, 4, 44, 6, 5 },
	{ 32, 4, 60, 5, 9 },
	{ 32, 8, 88, 3, 3 },
	{ 32, 8, 88, 3, 6 },
	{ 32, 4, 44, 6, 7 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 66, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 75, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 52, 5, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 60, 5, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 60, 5, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 88, 3, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 6, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
