#!/bin/sh

echo 'Integrating the results fitted'

gcc -D__SIMULATE__ dgemvt-at-opt1.c -lm

awk '/MAXDIM=/{ MAXDIM=$2; }END{ for(i=1;i<=MAXDIM;i++) print i; print -1;}' DEV_INFO > IN-tt

./a.out < IN-tt | \
	awk 'BEGIN{ N_=1; ID_=-1; i=0; }{ \
		N = $1; ID = $7; \
		if ( ID_ != ID ) { \
		if ( ID_ >= 0 ) { \
			print "if ( n >= "N_" && n < "N" ) {"; \
			print "\tBLK = "ID_";"; \
			print "} else "
			id_[ID_] = 1; \
		} \
			N_ = N; ID_ = ID; \
		} \
	} END { \
		print "if ( n >= "N_" && n < "N" ) {"; \
		print "\tBLK = "ID_";"; \
		print "}"; \
			id_[ID_] = 1; \
		print ""; \
		for(j in id_) { \
			print "#define\tKERNEL_"j" 1"; \
		} \
	}' > dgemvt-at-opt2.h

\rm a.out IN-tt


mv dgemvt-at-opt2.h dgemvt-at-opt3.h
/bin/sh d_filter.sh dgemvt-at-opt3.h dgemvt-at-opt2.h


cat dgemvt-at-opt1.c | \
awk 'BEGIN{ flag = 0; flag_case = 0; } \
	/^do_best_kernel_DGEMVT/ { \
		flag = 1; \
		print; \
		while ( 1 ) { \
			getline; \
			print; \
			if ( $0 ~ /\{/ ) break; \
		} \
		print "\tlong t=0;"; \
		print "\tint n=n1;"; \
		print "\tint BLK=0;"; \
		print ""; \
		system("cat dgemvt-at-opt2.h"); \
		print ""; \
		print "#if 1"; \
		print "\tint ii=BLK;"; \
	} \
	/DGEMVT_KERNEL_/ { \
		if ( flag ) flag = 0; \
	} \
	/#if[ ]*__SIMULATE__/{ \
		while ( 1 ) { \
			getline; \
			if ( $0 ~ /#else/ ) break; \
			if ( $0 ~ /#endif/ ) break; \
		} \
		next; \
	} \
	{ \
		if ( $0 ~ /case/ ) { \
			id=$2; gsub(/:/,"",id); \
			print "#if\tKERNEL_"id; \
			flag_case = 1; \
		} \
		if ( !flag ) print; \
		if ( $0 ~ /break/ && flag_case ) { \
			print "#endif"; \
			flag_case = 0; \
		} \
	}' > dgemvt-at-opt.c

