#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Thu Jul 14 20:16:30 JST 2016
Host on pascal.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8506048768
// for double or cuFloatComplex
MAXDIM= 30977
// for float
MAXDIM2= 43808
// for cuFloatComplex or DD
MAXDIM3= 21904
// for DD-Complex
MAXDIM4= 15488
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_18	1
#define	KERNEL_5	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_16	1

if ( n >= 1 && n < 201 ) {
	BLK = 16;
} else
if ( n >= 201 && n < 261 ) {
	BLK = 9;
} else
if ( n >= 261 && n < 278 ) {
	BLK = 11;
} else
if ( n >= 278 && n < 302 ) {
	BLK = 16;
} else
if ( n >= 302 && n < 345 ) {
	BLK = 9;
} else
if ( n >= 345 && n < 433 ) {
	BLK = 5;
} else
if ( n >= 433 && n < 477 ) {
	BLK = 9;
} else
if ( n >= 477 && n < 542 ) {
	BLK = 16;
} else
if ( n >= 542 && n < 559 ) {
	BLK = 5;
} else
if ( n >= 559 && n < 627 ) {
	BLK = 9;
} else
if ( n >= 627 && n < 659 ) {
	BLK = 5;
} else
if ( n >= 659 && n < 743 ) {
	BLK = 16;
} else
if ( n >= 743 && n < 778 ) {
	BLK = 5;
} else
if ( n >= 778 && n < 824 ) {
	BLK = 9;
} else
if ( n >= 824 && n < 919 ) {
	BLK = 5;
} else
if ( n >= 919 && n < 1457 ) {
	BLK = 16;
} else
if ( n >= 1457 && n < 1776 ) {
	BLK = 5;
} else
if ( n >= 1776 && n < 2603 ) {
	BLK = 16;
} else
if ( n >= 2603 && n < 3116 ) {
	BLK = 5;
} else
if ( n >= 3116 && n < 3183 ) {
	BLK = 16;
} else
if ( n >= 3183 && n < 3280 ) {
	BLK = 18;
} else
if ( n >= 3280 && n < 3590 ) {
	BLK = 5;
} else
if ( n >= 3590 && n < 3653 ) {
	BLK = 18;
} else
if ( n >= 3653 && n < 4236 ) {
	BLK = 5;
} else
if ( n >= 4236 && n < 4459 ) {
	BLK = 18;
} else
if ( n >= 4459 && n < 5296 ) {
	BLK = 5;
} else
if ( n >= 5296 && n < 5588 ) {
	BLK = 18;
} else
if ( n >= 5588 && n < 6274 ) {
	BLK = 5;
} else
if ( n >= 6274 && n < 6561 ) {
	BLK = 18;
} else
if ( n >= 6561 && n < 6695 ) {
	BLK = 5;
} else
if ( n >= 6695 && n < 6837 ) {
	BLK = 18;
} else
if ( n >= 6837 && n < 7087 ) {
	BLK = 5;
} else
if ( n >= 7087 && n < 8771 ) {
	BLK = 18;
} else
if ( n >= 8771 && n < 8976 ) {
	BLK = 5;
} else
if ( n >= 8976 && n < 9304 ) {
	BLK = 18;
} else
if ( n >= 9304 && n < 9460 ) {
	BLK = 5;
} else
if ( n >= 9460 && n < 9874 ) {
	BLK = 18;
} else
if ( n >= 9874 && n < 10000 ) {
	BLK = 5;
} else
if ( n >= 10000 && n < 12580 ) {
	BLK = 18;
} else
if ( n >= 12580 && n < 13025 ) {
	BLK = 5;
} else
if ( n >= 13025 && n < 13856 ) {
	BLK = 18;
} else
if ( n >= 13856 && n < 14001 ) {
	BLK = 5;
} else
if ( n >= 14001 && n < 14172 ) {
	BLK = 9;
} else
if ( n >= 14172 && n < 14324 ) {
	BLK = 5;
} else
if ( n >= 14324 && n < 16113 ) {
	BLK = 18;
} else
if ( n >= 16113 && n < 16446 ) {
	BLK = 5;
} else
if ( n >= 16446 && n < 21011 ) {
	BLK = 18;
} else
if ( n >= 21011 && n < 21605 ) {
	BLK = 5;
} else
if ( n >= 21605 && n < 25854 ) {
	BLK = 18;
} else
if ( n >= 25854 && n < 26735 ) {
	BLK = 5;
} else
if ( n >= 26735 && n < 1000000 ) {
	BLK = 18;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 18;
}
