#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV -U
Tue Jul 19 05:38:32 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuFloatComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_18	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_20	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 111 ) {
	BLK = 9;
} else
if ( n >= 111 && n < 159 ) {
	BLK = 1;
} else
if ( n >= 159 && n < 172 ) {
	BLK = 16;
} else
if ( n >= 172 && n < 217 ) {
	BLK = 14;
} else
if ( n >= 217 && n < 278 ) {
	BLK = 3;
} else
if ( n >= 278 && n < 341 ) {
	BLK = 18;
} else
if ( n >= 341 && n < 403 ) {
	BLK = 1;
} else
if ( n >= 403 && n < 466 ) {
	BLK = 14;
} else
if ( n >= 466 && n < 519 ) {
	BLK = 18;
} else
if ( n >= 519 && n < 531 ) {
	BLK = 14;
} else
if ( n >= 531 && n < 601 ) {
	BLK = 1;
} else
if ( n >= 601 && n < 636 ) {
	BLK = 7;
} else
if ( n >= 636 && n < 674 ) {
	BLK = 13;
} else
if ( n >= 674 && n < 721 ) {
	BLK = 18;
} else
if ( n >= 721 && n < 1012 ) {
	BLK = 14;
} else
if ( n >= 1012 && n < 1031 ) {
	BLK = 8;
} else
if ( n >= 1031 && n < 1052 ) {
	BLK = 20;
} else
if ( n >= 1052 && n < 1229 ) {
	BLK = 1;
} else
if ( n >= 1229 && n < 1298 ) {
	BLK = 11;
} else
if ( n >= 1298 && n < 1929 ) {
	BLK = 14;
} else
if ( n >= 1929 && n < 2044 ) {
	BLK = 1;
} else
if ( n >= 2044 && n < 2247 ) {
	BLK = 18;
} else
if ( n >= 2247 && n < 2766 ) {
	BLK = 14;
} else
if ( n >= 2766 && n < 2996 ) {
	BLK = 1;
} else
if ( n >= 2996 && n < 3140 ) {
	BLK = 14;
} else
if ( n >= 3140 && n < 3471 ) {
	BLK = 18;
} else
if ( n >= 3471 && n < 3526 ) {
	BLK = 5;
} else
if ( n >= 3526 && n < 3701 ) {
	BLK = 14;
} else
if ( n >= 3701 && n < 3912 ) {
	BLK = 18;
} else
if ( n >= 3912 && n < 4198 ) {
	BLK = 1;
} else
if ( n >= 4198 && n < 4371 ) {
	BLK = 18;
} else
if ( n >= 4371 && n < 4663 ) {
	BLK = 1;
} else
if ( n >= 4663 && n < 4756 ) {
	BLK = 14;
} else
if ( n >= 4756 && n < 5046 ) {
	BLK = 18;
} else
if ( n >= 5046 && n < 5846 ) {
	BLK = 1;
} else
if ( n >= 5846 && n < 5901 ) {
	BLK = 9;
} else
if ( n >= 5901 && n < 6093 ) {
	BLK = 1;
} else
if ( n >= 6093 && n < 6229 ) {
	BLK = 18;
} else
if ( n >= 6229 && n < 6501 ) {
	BLK = 1;
} else
if ( n >= 6501 && n < 6765 ) {
	BLK = 18;
} else
if ( n >= 6765 && n < 7233 ) {
	BLK = 1;
} else
if ( n >= 7233 && n < 7846 ) {
	BLK = 18;
} else
if ( n >= 7846 && n < 8652 ) {
	BLK = 1;
} else
if ( n >= 8652 && n < 8808 ) {
	BLK = 14;
} else
if ( n >= 8808 && n < 9875 ) {
	BLK = 1;
} else
if ( n >= 9875 && n < 9969 ) {
	BLK = 18;
} else
if ( n >= 9969 && n < 11110 ) {
	BLK = 1;
} else
if ( n >= 11110 && n < 11198 ) {
	BLK = 9;
} else
if ( n >= 11198 && n < 13030 ) {
	BLK = 1;
} else
if ( n >= 13030 && n < 13219 ) {
	BLK = 14;
} else
if ( n >= 13219 && n < 14122 ) {
	BLK = 1;
} else
if ( n >= 14122 && n < 14400 ) {
	BLK = 14;
} else
if ( n >= 14400 && n < 16015 ) {
	BLK = 1;
} else
if ( n >= 16015 && n < 16424 ) {
	BLK = 18;
} else
if ( n >= 16424 && n < 22161 ) {
	BLK = 1;
} else
if ( n >= 22161 && n < 22453 ) {
	BLK = 14;
} else
if ( n >= 22453 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
