#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Mon Jul 18 20:30:55 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuFloatComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_18	1
#define	KERNEL_19	1
#define	KERNEL_20	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1

if ( n >= 1 && n < 110 ) {
	BLK = 11;
} else
if ( n >= 110 && n < 124 ) {
	BLK = 18;
} else
if ( n >= 124 && n < 170 ) {
	BLK = 20;
} else
if ( n >= 170 && n < 223 ) {
	BLK = 12;
} else
if ( n >= 223 && n < 251 ) {
	BLK = 20;
} else
if ( n >= 251 && n < 421 ) {
	BLK = 19;
} else
if ( n >= 421 && n < 468 ) {
	BLK = 12;
} else
if ( n >= 468 && n < 515 ) {
	BLK = 13;
} else
if ( n >= 515 && n < 516 ) {
	BLK = 12;
} else
if ( n >= 516 && n < 700 ) {
	BLK = 1;
} else
if ( n >= 700 && n < 777 ) {
	BLK = 19;
} else
if ( n >= 777 && n < 813 ) {
	BLK = 20;
} else
if ( n >= 813 && n < 907 ) {
	BLK = 12;
} else
if ( n >= 907 && n < 944 ) {
	BLK = 20;
} else
if ( n >= 944 && n < 991 ) {
	BLK = 1;
} else
if ( n >= 991 && n < 1149 ) {
	BLK = 12;
} else
if ( n >= 1149 && n < 1323 ) {
	BLK = 1;
} else
if ( n >= 1323 && n < 1353 ) {
	BLK = 19;
} else
if ( n >= 1353 && n < 1546 ) {
	BLK = 12;
} else
if ( n >= 1546 && n < 1888 ) {
	BLK = 19;
} else
if ( n >= 1888 && n < 2012 ) {
	BLK = 20;
} else
if ( n >= 2012 && n < 2201 ) {
	BLK = 19;
} else
if ( n >= 2201 && n < 2490 ) {
	BLK = 20;
} else
if ( n >= 2490 && n < 2629 ) {
	BLK = 19;
} else
if ( n >= 2629 && n < 2678 ) {
	BLK = 20;
} else
if ( n >= 2678 && n < 2820 ) {
	BLK = 1;
} else
if ( n >= 2820 && n < 3093 ) {
	BLK = 12;
} else
if ( n >= 3093 && n < 3215 ) {
	BLK = 4;
} else
if ( n >= 3215 && n < 3451 ) {
	BLK = 19;
} else
if ( n >= 3451 && n < 3816 ) {
	BLK = 20;
} else
if ( n >= 3816 && n < 3928 ) {
	BLK = 4;
} else
if ( n >= 3928 && n < 5528 ) {
	BLK = 19;
} else
if ( n >= 5528 && n < 5652 ) {
	BLK = 20;
} else
if ( n >= 5652 && n < 6087 ) {
	BLK = 4;
} else
if ( n >= 6087 && n < 6318 ) {
	BLK = 19;
} else
if ( n >= 6318 && n < 6735 ) {
	BLK = 4;
} else
if ( n >= 6735 && n < 7534 ) {
	BLK = 19;
} else
if ( n >= 7534 && n < 7706 ) {
	BLK = 20;
} else
if ( n >= 7706 && n < 8054 ) {
	BLK = 4;
} else
if ( n >= 8054 && n < 10441 ) {
	BLK = 19;
} else
if ( n >= 10441 && n < 10734 ) {
	BLK = 4;
} else
if ( n >= 10734 && n < 11327 ) {
	BLK = 19;
} else
if ( n >= 11327 && n < 11451 ) {
	BLK = 4;
} else
if ( n >= 11451 && n < 12396 ) {
	BLK = 19;
} else
if ( n >= 12396 && n < 12513 ) {
	BLK = 4;
} else
if ( n >= 12513 && n < 12919 ) {
	BLK = 19;
} else
if ( n >= 12919 && n < 13692 ) {
	BLK = 4;
} else
if ( n >= 13692 && n < 16023 ) {
	BLK = 19;
} else
if ( n >= 16023 && n < 16395 ) {
	BLK = 4;
} else
if ( n >= 16395 && n < 17680 ) {
	BLK = 19;
} else
if ( n >= 17680 && n < 17751 ) {
	BLK = 4;
} else
if ( n >= 17751 && n < 19075 ) {
	BLK = 19;
} else
if ( n >= 19075 && n < 19824 ) {
	BLK = 4;
} else
if ( n >= 19824 && n < 21290 ) {
	BLK = 19;
} else
if ( n >= 21290 && n < 21771 ) {
	BLK = 4;
} else
if ( n >= 21771 && n < 30543 ) {
	BLK = 19;
} else
if ( n >= 30543 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
