#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV -U
Wed Jul 13 05:09:20 JST 2016
Host on gwacsg07
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6039118336
// for double or cuFloatComplex
MAXDIM= 26101
// for float
MAXDIM2= 36913
// for cuFloatComplex or DD
MAXDIM3= 18456
// for DD-Complex
MAXDIM4= 13050
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "ssymv-upper-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 4, 56, 7, 0 },
	{ 32, 4, 48, 7, 9 },
	{ 32, 4, 44, 8, 0 },
	{ 64, 6, 48, 3, 4 },
	{ 64, 5, 50, 3, 3 },
	{ 32, 8, 40, 5, 9 },
	{ 32, 6, 48, 6, 9 },
	{ 32, 5, 40, 7, 7 },
	{ 128, 4, 44, 2, 8 },
	{ 32, 5, 40, 7, 8 },
	{ 32, 4, 40, 8, 8 },
	{ 32, 4, 40, 8, 7 },
	{ 32, 4, 40, 8, 0 },
	{ 32, 4, 48, 7, 0 },
	{ 32, 4, 40, 8, 3 },
	{ 32, 4, 40, 8, 9 },
	{ 64, 6, 48, 3, 7 },
	{ 96, 5, 50, 2, 1 },
	{ 32, 4, 56, 7, 9 },
	{ 32, 5, 40, 7, 9 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 56, 7, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 48, 7, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 44, 8, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 48, 3, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 50, 3, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 40, 5, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 6, 48, 6, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 40, 7, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 128, 4, 44, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 40, 7, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 40, 8, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 40, 8, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 40, 8, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 48, 7, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 40, 8, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 40, 8, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 48, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 5, 50, 2, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 56, 7, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 5, 40, 7, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
